Subject: Re: [PATCH/RFC 0/5] add "unset.variable" for unsetting previously set variables

From: Matthieu Moy <[email-masked]>
Date: Wed, 08 Oct 2014 20:37:27 +0200

Junio C Hamano <[email-masked]> writes:

> I do not offhand think of a good example of an variable that we may
> want to allow overriding but still want to limit its values myself.

I just thought of a semi-realistic use-case : diff.*.{command,textconv}.

One may want to allow per-project sets of diff drivers, but these
variables contain actual commands, so clearly we can't allow any
value for these variables.

"semi-realistic" only because I never needed a per-project diff driver,
I have my per-user preference and I'm happy with it.

Anyway, the feature does not seem vital to me, but if someone comes up
with a clever way to keep room for it in the namespace, that would be
cool.

-- 
Matthieu Moy
http://www-verimag.imag.fr/~moy/